#
# spec file for package qx11grab
#
# Copyright (c) 2012 Mariusz Fik <fisiu@opensuse.org>.
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           qx11grab
Version:        0.4.7
Release:        1.2
License:        GPL-3.0
Summary:        Qt4 applet for recording x11 windows with ffmpeg
Url:            http://qx11grab.hjcms.de
Group:          Productivity/Multimedia/Other
Source:         http://qx11grab.hjcms.de/downloads/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  cmake >= 2.8.0
BuildRequires:  libkde4-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(QtCore) >= 4.7.2
BuildRequires:  pkgconfig(QtGui) >= 4.7.2
BuildRequires:  pkgconfig(alsa) >= 1.0.14
BuildRequires:  pkgconfig(dbus-1) >= 1.4.12
BuildRequires:  pkgconfig(libavcodec) >= 52.86.1
BuildRequires:  pkgconfig(libavfilter) >= 2.4.0
BuildRequires:  pkgconfig(libavformat) >= 52.78.3
BuildRequires:  pkgconfig(libavutil) >= 50.24.0
BuildRequires:  pkgconfig(libpulse) => 0.9
# for building extra icons
BuildRequires:  inkscape

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
qx11grab is a systray program that uses FFmpeg for recording X11 desktop
windows. this program grab window dimensions with xevent and prepare the command
line for ffmpeg with configuration options. it sends the generated parameter
list to a new FFmpeg process. qx11grab is not the recording software it prepare
all commands for FFmpeg.

%prep
%setup -q

%build
mkdir build && cd build
cmake .. \
    %ifarch x86_64
    -DLIB_SUFFIX:STRING=64 \
    %endif
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_LIBDIR=%{_libdir} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DINSTALL_EXTRA_FFPRESETS=ON \
    -DENABLE_KDE_SUPPORT=ON
make %{?_smp_mflags}

%install
cd build
%make_install
%suse_update_desktop_file -r qx11grab Qt KDE Utility Applet

%clean
%{?buildroot:rm -rf %{buildroot}}

%files
%defattr(-,root,root)
%{_bindir}/qx11grab
%{_datadir}/dbus-1/interfaces/de.hjcms.qx11grab.xml
%{_datadir}/dbus-1/services/de.hjcms.qx11grab.service
%{_datadir}/applications/qx11grab.desktop
%{_datadir}/pixmaps/qx11grab.png
%dir %{_datadir}/pixmaps/qx11grab
%{_datadir}/pixmaps/qx11grab/position_*.png
%{_datadir}/icons/hicolor/*/apps/qx11grab.png
%{_datadir}/icons/hicolor/scalable/apps/qx11grab.svgz
%{_datadir}/qt4/translations/qx11grab_*.qm
%{_mandir}/man1/qx11grab.1.gz
%{_mandir}/de/man1/qx11grab.1.gz
%dir %{_datadir}/ffmpeg
%{_datadir}/ffmpeg/libx264-QX11Grab.ffpreset
%{_datadir}/qx11grab/
%dir %{_libdir}/qx11grab
%{_libdir}/qx11grab/libUnsharp.so
%{_libdir}/qx11grab/libdrawtext.so
%{_libdir}/qx11grab/libfade.so
%{_libdir}/qx11grab/libsetdar.so
%{_libdir}/qx11grab/libwatermark.so

%changelog
* Sun Feb 17 2013 cs@linux-administrator.com
- update to release 0.4.7
